' $Horde: HordeConduit/HordeSync/addrConduit.vb,v 1.1.1.1 2003/03/05 05:12:25 marcus Exp $
Imports PDDirectLib
Imports PDStandardLib

<ComClass(addrConduit.ClassId, addrConduit.InterfaceId, addrConduit.EventsId)> _
Public Class addrConduit
    Inherits baseConduit
#Region "COM GUIDs"
    ' These  GUIDs provide the COM identity for this class 
    ' and its COM interfaces. If you change them, existing 
    ' clients will no longer be able to access the class.
    Public Const ClassId As String = "A155756A-2A36-41E0-B576-F76B478D2AF7"
    Public Const InterfaceId As String = "A427B48B-EB76-446C-88A4-2EEEA49D8A40"
    Public Const EventsId As String = "A0B2CE97-A1F0-45B1-B9AA-E4D993F949C9"
#End Region

    ' A creatable COM class must have a Public Sub New() 
    ' with no parameters, otherwise, the class will not be 
    ' registered in the COM registry and cannot be created 
    ' via CreateObject.
    Public Sub New()
        MyBase.New()
        Me.sName = "AddressBook -> Horde Contacts"
    End Sub

    Public Overrides Function BeginProcess() As Boolean
        MyBase.BeginProcess()

        Dim palmSystem As New PDSystemAdapter()
        Dim palmHotSyncInfo As PDHotsyncInfo = palmSystem.PDHotsyncInfo

        Select Case palmHotSyncInfo.SyncType
            Case ESyncTypes.eDoNothing
                'Do nothing
            Case ESyncTypes.ePCtoHH
                MsgBox("Addressbook does not support Horde overwrites Handheld yet.")
            Case ESyncTypes.eHHtoPC
                MsgBox("Addressbook does not support Handheld overwrites Horde yet.")
            Case Else
                MsgBox("Addressbook does not support Handheld to Horde Syncing yet.")
        End Select

        Return False
    End Function
End Class
